
QGIS Application - Bug report #9835

QGIS crashes when using "avoid intersection" on problematic layer

2014-03-22 10:54 PM - Oliver Story

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.2.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 18366

Description

I am trying to add a new feature to a shapefile polygon layer. The new feature is to cover the inner ring of another feature on the same

layer.

In "snapping options" I have ticked "avoid intersection" for that layer.

I click the "add feature" tool, then left-click several times to trace around the desired area. When I right-click, QGIS crashes.

I've tried running in a terminal and receive the following error:

ERROR 1: TopologyException: found non-noded intersection between LINESTRING (149.031 -35.6627, 149.029 -35.6639) and

LINESTRING (149.027 -35.6684, 149.032 -35.66) at 149.03040196127108 -35.662914069844454

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)

I have attached the layer file I'm trying to edit.

History

#1 - 2014-03-24 03:32 AM - Oliver Story

Additional information: the shapefile causing the issues was created in QGIS by merging together two other shapefiles, and as a result contains a lot of

overlapping polygons. I have not done exhaustive testing of different shapefiles, however can report that the error does not occur when I am using just one

of the source shapefiles (which does not contain the non-noded intersection referred to in the error message).

#2 - 2014-06-21 02:56 AM - Jürgen Fischer

- Category set to Digitising

#3 - 2014-06-21 05:41 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
does not happen in latest master, reopen if necessary.

Files

Vegetation_combined.shp 2.76 MB 2014-03-22 Oliver Story

Vegetation_combined.dbf 651 KB 2014-03-22 Oliver Story

Vegetation_combined.prj 143 Bytes 2014-03-22 Oliver Story

Vegetation_combined.qpj 257 Bytes 2014-03-22 Oliver Story

Vegetation_combined.shx 14.1 KB 2014-03-22 Oliver Story
